Package com.collabnet.ce.soap60.webservices.scm

# Class ReplicaServerSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.ReplicaServerSoapRow

public class ReplicaServerSoapRow extends Object
List of replicas.

Since:
  8.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BAD`
  `static final String`
  `CAUTION`
  `static final String`
  `GOOD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicaServerSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getApproved()`
  Returns 'approved'.
  `int`
  `getCommandConcurrencyLong()`
  Returns 'commandConcurrencyLong'.
  `int`
  `getCommandConcurrencyShort()`
  Returns 'commandConcurrencyShort'.
  `int`
  `getCommandPollPeriod()`
  Returns 'commandPollPeriod'.
  `int`
  `getConsolePort()`
  Returns 'consolePort'.
  `String`
  `getContextPath()`
  Returns 'contextPath'.
  `Date`
  `getDateLastContact()`
  Returns 'dateLastContact'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getHealth()`
  Returns 'health'.
  `String`
  `getHostname()`
  Returns 'hostname'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getManagedByFullName()`
  Returns 'managedByFullName'.
  `String`
  `getManagedByUsername()`
  Returns 'managedByUsername'.
  `String`
  `getMasterSystemId()`
  Returns 'masterSystemId'.
  `String`
  `getMasterSystemTitle()`
  Returns 'masterSystemTitle'.
  `String`
  `getName()`
  Returns 'name'.
  `boolean`
  `getPending()`
  Returns 'pending'.
  `int`
  `getPort()`
  Returns 'port'.
  `boolean`
  `getSsl()`
  Returns 'ssl'.
  `String`
  `getViewerPath()`
  Returns 'viewerPath'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setApproved(boolean approved)`
  Sets 'approved'.
  `void`
  `setCommandConcurrencyLong(int commandConcurrencyLong)`
  Sets 'commandConcurrencyLong'.
  `void`
  `setCommandConcurrencyShort(int commandConcurrencyShort)`
  Sets 'commandConcurrencyShort'.
  `void`
  `setCommandPollPeriod(int commandPollPeriod)`
  Sets 'commandPollPeriod'.
  `void`
  `setConsolePort(int consolePort)`
  Sets 'consolePort'.
  `void`
  `setContextPath(String contextPath)`
  Sets 'contextPath'.
  `void`
  `setDateLastContact(Date dateLastContact)`
  Sets 'dateLastContact'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setHealth(String health)`
  Sets 'health'.
  `void`
  `setHostname(String hostname)`
  Sets 'hostname'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setManagedByFullName(String managedByFullName)`
  Sets 'managedByFullName'.
  `void`
  `setManagedByUsername(String managedByUsername)`
  Sets 'managedByUsername'.
  `void`
  `setMasterSystemId(String masterSystemId)`
  Sets 'masterSystemId'.
  `void`
  `setMasterSystemTitle(String masterSystemTitle)`
  Sets 'masterSystemTitle'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setPending(boolean pending)`
  Sets 'pending'.
  `void`
  `setPort(int port)`
  Sets 'port'.
  `void`
  `setSsl(boolean ssl)`
  Sets 'ssl'.
  `void`
  `setViewerPath(String viewerPath)`
  Sets 'viewerPath'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GOOD

    public static final String GOOD
    See Also:
      - Constant Field Values

  - ### CAUTION

    public static final String CAUTION
    See Also:
      - Constant Field Values

  - ### BAD

    public static final String BAD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReplicaServerSoapRow

    public ReplicaServerSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getName

    public String getName()
    Returns 'name'.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'.
    Parameters:
      `name` - Value of 'name'.

  - ### getDescription

    public String getDescription()
    Returns 'description'.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'.
    Parameters:
      `description` - Value of 'description'.

  - ### getHostname

    public String getHostname()
    Returns 'hostname'.
    Returns:
      Value of 'hostname'.

  - ### setHostname

    public void setHostname(String hostname)
    Sets 'hostname'.
    Parameters:
      `hostname` - Value of 'hostname'.

  - ### getMasterSystemId

    public String getMasterSystemId()
    Returns 'masterSystemId'.
    Returns:
      Value of 'masterSystemId'.

  - ### setMasterSystemId

    public void setMasterSystemId(String masterSystemId)
    Sets 'masterSystemId'.
    Parameters:
      `masterSystemId` - Value of 'masterSystemId'.

  - ### getMasterSystemTitle

    public String getMasterSystemTitle()
    Returns 'masterSystemTitle'.
    Returns:
      Value of 'masterSystemTitle'.

  - ### setMasterSystemTitle

    public void setMasterSystemTitle(String masterSystemTitle)
    Sets 'masterSystemTitle'.
    Parameters:
      `masterSystemTitle` - Value of 'masterSystemTitle'.

  - ### getManagedByUsername

    public String getManagedByUsername()
    Returns 'managedByUsername'.
    Returns:
      Value of 'managedByUsername'.

  - ### setManagedByUsername

    public void setManagedByUsername(String managedByUsername)
    Sets 'managedByUsername'.
    Parameters:
      `managedByUsername` - Value of 'managedByUsername'.

  - ### getManagedByFullName

    public String getManagedByFullName()
    Returns 'managedByFullName'.
    Returns:
      Value of 'managedByFullName'.

  - ### setManagedByFullName

    public void setManagedByFullName(String managedByFullName)
    Sets 'managedByFullName'.
    Parameters:
      `managedByFullName` - Value of 'managedByFullName'.

  - ### getApproved

    public boolean getApproved()
    Returns 'approved'.
    Returns:
      Value of 'approved'.

  - ### setApproved

    public void setApproved(boolean approved)
    Sets 'approved'.
    Parameters:
      `approved` - Value of 'approved'.

  - ### getPending

    public boolean getPending()
    Returns 'pending'.
    Returns:
      Value of 'pending'.

  - ### setPending

    public void setPending(boolean pending)
    Sets 'pending'.
    Parameters:
      `pending` - Value of 'pending'.

  - ### getSsl

    public boolean getSsl()
    Returns 'ssl'.
    Returns:
      Value of 'ssl'.

  - ### setSsl

    public void setSsl(boolean ssl)
    Sets 'ssl'.
    Parameters:
      `ssl` - Value of 'ssl'.

  - ### getContextPath

    public String getContextPath()
    Returns 'contextPath'.
    Returns:
      Value of 'contextPath'.

  - ### setContextPath

    public void setContextPath(String contextPath)
    Sets 'contextPath'.
    Parameters:
      `contextPath` - Value of 'contextPath'.

  - ### getViewerPath

    public String getViewerPath()
    Returns 'viewerPath'.
    Returns:
      Value of 'viewerPath'.

  - ### setViewerPath

    public void setViewerPath(String viewerPath)
    Sets 'viewerPath'.
    Parameters:
      `viewerPath` - Value of 'viewerPath'.

  - ### getConsolePort

    public int getConsolePort()
    Returns 'consolePort'.
    Returns:
      Value of 'consolePort'.

  - ### setConsolePort

    public void setConsolePort(int consolePort)
    Sets 'consolePort'.
    Parameters:
      `consolePort` - Value of 'consolePort'.

  - ### getPort

    public int getPort()
    Returns 'port'.
    Returns:
      Value of 'port'.

  - ### setPort

    public void setPort(int port)
    Sets 'port'.
    Parameters:
      `port` - Value of 'port'.

  - ### getCommandPollPeriod

    public int getCommandPollPeriod()
    Returns 'commandPollPeriod'.
    Returns:
      Value of 'commandPollPeriod'.

  - ### setCommandPollPeriod

    public void setCommandPollPeriod(int commandPollPeriod)
    Sets 'commandPollPeriod'.
    Parameters:
      `commandPollPeriod` - Value of 'commandPollPeriod'.

  - ### getCommandConcurrencyLong

    public int getCommandConcurrencyLong()
    Returns 'commandConcurrencyLong'.
    Returns:
      Value of 'commandConcurrencyLong'.

  - ### setCommandConcurrencyLong

    public void setCommandConcurrencyLong(int commandConcurrencyLong)
    Sets 'commandConcurrencyLong'.
    Parameters:
      `commandConcurrencyLong` - Value of 'commandConcurrencyLong'.

  - ### getCommandConcurrencyShort

    public int getCommandConcurrencyShort()
    Returns 'commandConcurrencyShort'.
    Returns:
      Value of 'commandConcurrencyShort'.

  - ### setCommandConcurrencyShort

    public void setCommandConcurrencyShort(int commandConcurrencyShort)
    Sets 'commandConcurrencyShort'.
    Parameters:
      `commandConcurrencyShort` - Value of 'commandConcurrencyShort'.

  - ### getDateLastContact

    public Date getDateLastContact()
    Returns 'dateLastContact'.
    Returns:
      Value of 'dateLastContact'.

  - ### setDateLastContact

    public void setDateLastContact(Date dateLastContact)
    Sets 'dateLastContact'.
    Parameters:
      `dateLastContact` - Value of 'dateLastContact'.

  - ### getHealth

    public String getHealth()
    Returns 'health'.
    Returns:
      Value of 'health'.

  - ### setHealth

    public void setHealth(String health)
    Sets 'health'.
    Parameters:
      `health` - Value of 'health'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)